{% extends "layout.html" %}
{% block title %}Edit Schedule{% endblock %}
{% block section %}Edit Schedule{% endblock %}
{% block head %}
{{ super() }}
  <link rel="stylesheet" href="/static/plugins/timepicker/bootstrap-timepicker.min.css">
{% endblock %}
{% block content %}
      <div class="box box-default">
        <div class="box-header with-border">
          <h3 class="box-title">Edit Schedule</h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
          <div class="row">
            {% if schedule == None %}
                <form class="form-schedule" action="/relays/schedule/edit/{{ schedule.id }}" method="post">
            {% else %}
                <form class="form-schedule" action="/relays/schedule/edit/{{ schedule.id }}" method="post">
            {% endif %}
            <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
            <div class="col-md-3">
                <div class="form-group">
                  <label>Relay:</label>
                  <select class="form-control select2" name="relay" id="relay" style="width: 100%;">
                    {% for relay in clients %}
                        {% for item in relay.keys() %}
                            <option value="{{ item }}">{{ item }}</option>
                        {% endfor %}
                    {% endfor %}
                  </select>
                </div>
            </div>
            <!-- /.col -->
            <div class="col-md-2">
              <div class="form-group">
                <label>Start Time:</label>
                <div class="input-group bootstrap-timepicker timepicker">
                    <input id="timepicker1" name="start_time" type="text" class="form-control input-small" value="{{ start_time }}">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                </div>
                <!-- /.input group -->
              </div>
            <!-- /.form group -->
            </div>
            <div class="col-md-2">
              <div class="form-group">
                <label>Stop Time:</label>
                <div class="input-group bootstrap-timepicker timepicker">
                    <input id="timepicker2" name="stop_time" type="text" class="form-control input-small" value="{{ stop_time }}">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                </div>
                <!-- /.input group -->
              </div>
            <!-- /.form group -->
            </div>
            <input type="hidden" name="timezone" value="" id="timezone">
            <div class="col-md-2">
                <label></label>
                <div class="input-group">
                <span class="input-group-btn">
                  <button class="btn btn-success form-control " type="submitt">Submit</button>
                </span>
              </div>
              <!-- /.form group -->
            </div>
            <!-- /.col -->
            </form>
         <!-- Igonore error is due to for cycle on the top -->
          </div>
          <!-- /.row -->
        </div>
        <!-- /.box-body -->
        <div class="box-footer">
          Create new schedules for the switchs, be carefull to do not overlap executions.
          Executions are controled/submitted by the users crontab.
        </div>
      </div>
{% endblock %}
{% block jquery %}
{{ super() }}
<script src="/static/bower_components/moment/min/jstz.js"></script>
<script src="/static/plugins/timepicker/bootstrap-timepicker.min.js"></script>
<script language="javascript">
    function getTimezoneName() {
        timezone = jstz.determine();
        return timezone.name();
    }
    document.getElementById("timezone").value = getTimezoneName();
</script>
<script>
  $('#timepicker1').timepicker({
      minuteStep: 1,
      showSeconds: false,
      showMeridian: false,
  });

  $('#timepicker2').timepicker({
      minuteStep: 1,
      showSeconds: false,
      showMeridian: false,
  });
</script>
{% endblock %}

